import { GetCoursewareComponentContent_View } from '@/api/book';

const mixin = {
  data() {
    return {
      courseware_id: this.$route.params.courseware_id,
    };
  },
  props: {
    componentId: {
      type: String,
      required: true,
    },
  },
  created() {
    this.getCoursewareComponentContent();
  },
  methods: {
    getCoursewareComponentContent_View() {
      GetCoursewareComponentContent_View({ courseware_id: this.courseware_id, component_id: this.componentId }).then(
        ({ content }) => {
          if (content) this.data = JSON.parse(content);
        },
      );
    },
  },
};

export default mixin;
